
Application: gvSIG desktop - gvSIG bugs #2101
error al borrar y crear de nuevo campos de una tabla en un shape
11/07/2013 01:53 PM - Ricardo Rueda Ochando

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category:
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

al borrar un campo fecha de tipo string y crear uno con el mismo nombre de tipo date se ha generado el campo nuevo con los datos
del borrado, cuando deberían de estar en blanco y ha dado un error de excepción y se ha quedado la aplicación bloqueada teniendo
que matar el proceso para poder desbloquearla.

Adjunto fichero shape y logs

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2870: Edición de tabla: ... Closed

History
#1 - 12/11/2013 12:55 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez
- Target version set to 2.1.0-2223-rc1

Thanks for reporting this. It will be fixed in next build (BN 2214, I think)

Using source data only if data type is the same, otherwise set default value (this caused error when user removes field and adds new field with same
name and different type).

gvsig-desktop:r40975

#2 - 01/13/2014 09:39 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#3 - 01/27/2014 06:15 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#4 - 01/05/2015 11:02 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2870: Edición de tabla: cambio de datos de una columna eliminada added

Files
gvSIG_log_7_11_13.zip 58.8 KB 11/07/2013 Ricardo Rueda Ochando
CV-425-CEGESEG-NOV-2013-ETRS89.zip 62 KB 11/07/2013 Ricardo Rueda Ochando
